Menu

Learn how to start playing on JartexNetwork in just 60 seconds!
Play Now
Learn how to join our server
and start playing in 60 seconds
Play Now
CLICK TO JOIN JOIN OUR DISCORD
0
0

Update Pls

JapaneseName

New Member
Joined
November 19, 2022
Messages
14
Points
1
devs cant edit viaversion plugin lmfao, either the people who plays in lower versions will have a problem
 

daviddaraban

Great Reporter
Great Reporter
Donator
Joined
September 20, 2021
Messages
4,708
Points
166
Age
15
IGN
daviddaraban
Please Update Creative Too 1.17 Or Higher, We Need More Stuff!
Making a thread here in this sub forum suggesting that wont affect on anything + there is already a suggestion related about what you said + creative is already 1.15.x --> 1.19.x how ever it doesnt have the blocks of the higher versions
 
Top